@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

.jedling-button-wrapper {
  display: flex;
  align-items: center;
  gap: 10px;
}

.jedling-buy-now,
.jedling-buy-now-btn {
  width: 100%;
}

.jedling-atc-qty {
  display: flex;
  align-items: center;
}

.jedling-atc-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: 100%;
}

.jedling-atc-action {
  width: 100%;
}

.jedling-attr-items {
  display: flex;
  align-items: center;
}

.jedling-attr-items label span {
  display: block;
  cursor: pointer;
  transition: all 0.3s ease;
}

.jedling-badge {
  cursor: pointer;
  transition: all 0.3s ease;
}

.jedling-atc-price.jedling-var-price {
  display: flex;
  align-items: center;
}

input.qty-input::-webkit-outer-spin-button,
input.qty-input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input.qty-input[type="number"] {
  -moz-appearance: textfield;
}

button[type="button"].qty-icon {
  box-shadow: none !important;
}

.jedling-buy-now-btn:disabled,
.jedling-atc-btn:disabled {
  opacity: 0.7;
  pointer-events: none;
}

span.jedling-button-icon {
  display: flex;
  align-items: center;
}

.jedling_monthly_price {
  color: #5f936f;
  font-weight: 600;
}

.jedling_installments {
  color: #da2f21;
}

.jedling_cart-row {
  display: flex;
  align-items: center;
}

.jedling_cart-col-2 {
  display: flex;
}

a.jedlign_remove.remove {
  width: auto !important;
  border: none !important;
  display: block !important;
}

a.jedlign_remove.remove:before {
  display: none;
}

.jedling_cart-qty {
  display: flex;
  align-items: center;
  gap: 4px;
}

.jedling_cart-qty-btn {
  width: 28px;
  height: 28px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #5f936f;
  cursor: pointer;
  user-select: none;
}

.jedling_cart-qty-btn svg {
  width: 16px;
}

/* Chrome, Safari, Edge, Opera */
.jedling_cart-input input::-webkit-outer-spin-button,
.jedling_cart-input input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.jedling_cart-input input[type="number"] {
  -moz-appearance: textfield;
}

.jedling_cart-input input {
  width: 23px !important;
  font-size: 14px !important;
  line-height: 1.35em !important;
  color: #0d0c0d;
  font-weight: 500 !important;
  font-family: "Inter" !important;
  border: none !important;
  outline: none !important;
  box-shadow: none !important;
  padding: 0 !important;
  text-align: center !important;
  height: auto !important;
  background: transparent !important;
}

.jedling_cart-qty {
  background: #f8f7f8;
  border-radius: 50px;
  padding: 4px !important;
}

.woocommerce .cart-collaterals .cart_totals,
.woocommerce-page .cart-collaterals .cart_totals {
  float: none !important;
  width: 100% !important;
}

.jedling_cart-topbar-progress-track {
  display: block;
  height: 6px;
  width: 100%;
  border-radius: 12px;
  background: #eceff2;
  position: relative;
  overflow: hidden;
}

.jedling_cart-topbar-progress-thumb {
  position: absolute;
  height: 100%;
  width: 29%;
  background: #5f936f;
  left: 0;
  top: 0;
}

.jedling-ptc {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.jedling-checkout {
  display: flex;
  align-items: flex-start;
  gap:;
}

.woocommerce.woocommerce-checkout form #order_review,
.woocommerce.woocommerce-checkout form #order_review_heading,
.woocommerce-page.woocommerce-checkout form #order_review,
.woocommerce-page.woocommerce-checkout form #order_review_heading {
  width: 100% !important;
  float: none !important;
  margin-right: 0 !important;
  clear: unset !important;
}

.jedling_checkout-left {
  width: 50%;
}

.jedling_checkout-right {
  width: 50%;
}

ul.variation {
  margin: 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 0;
}

li.variation_item {
  display: flex;
  align-items: center;
  gap: 5px;
}

li.variation_item > div,
li.variation_item > div * {
  margin: 0 !important;
}

.product_info {
  display: flex;
  align-items: center;
  gap: 16px;
}

.product_image_cont img {
  width: 96px;
  min-width: 96px;
  height: 96px;
  object-fit: cover;
  padding: 10px;
  background: #fff;
  border-radius: 8px;
}

a.product_name {
  color: #1a1a1a;
  font-size: 16px;
  line-height: 1.5;
  font-family: "Satoshi", "Inter";
}

button.coupon_submit svg {
  width: 16px;
}

button.coupon_submit {
  padding: 0;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #333;
  color: #333;
}

.custom_coupon {
  display: flex;
  align-items: center;
  border: 1px solid #d9d9d9;
  padding: 0 15px 0 0;
}

input.coupon_input {
  padding: 15px;
  height: auto;
  border: none;
}

.jedling-loader {
  width: 16px;
  height: 16px;
  border: 2px solid currentColor;
  border-bottom-color: transparent;
  border-radius: 50%;
  display: none;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
